| Home | Libraries | People | FAQ | More

## Function template as_expr

boost::yap::as_expr

## Synopsis

    // In header: <boost/yap/algorithm.hpp>

    template<template< expr_kind, class > class ExprTemplate, typename T>
      decltype(auto) as_expr(T && t);

## Description

Returns an expression formed from t as follows:

- If t is an expression, t is forwarded to the caller.

- Otherwise, t is wrapped in a terminal expression.